# Ticket fields

## Get summary settings for dynamic fields

> Retrieves a single summary settings by id for dynamic fields.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"SummarySettings":{"type":"object","additionalProperties":false,"required":["id","name","description","fields","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"default":{"type":"boolean"},"name":{"type":"string","maximum":255},"description":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/SummaryField"}},"useLocalValues":{"type":"boolean"},"allowedEntities":{"type":"array","items":{"$ref":"#/components/schemas/SenderProfileAllowedEntity"}},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"SummaryField":{"type":"object","additionalProperties":false,"required":["id","name","type"],"properties":{"id":{"type":"string"},"name":{"type":"string","minimum":1,"maximum":255},"description":{"type":"string"},"type":{"type":"string","enum":["single","multiple","numeric","text","boolean","date"]},"values":{"type":"array","items":{"$ref":"#/components/schemas/SummaryValue"}},"settings":{"type":"object","additionalProperties":true}}},"SummaryValue":{"type":"object","additionalProperties":false,"required":["id","value","icon","createdAt"],"properties":{"id":{"type":"string"},"value":{"type":"string","minimum":1,"maximum":255},"icon":{"type":"string"},"createdAt":{"type":"string","format":"date-time"}}},"SenderProfileAllowedEntity":{"type":"object","additionalProperties":false,"required":["entityType","entityId"],"properties":{"entityType":{"type":"string","enum":["team","agent"]},"operation":{"type":"string","enum":["view","edit"]},"entityId":{"type":"string","maxLength":60}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/dynamic-fields-summary-settings/{summarySettingsId}":{"get":{"description":"Retrieves a single summary settings by id for dynamic fields.","operationId":"getDynamicFieldsSummarySettings","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SummarySettings"}}},"description":"ok"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Get summary settings for dynamic fields","tags":["summary"]}}}}
```

## Update summary settings for dynamic fields

> Updates a summary settings for dynamic fields

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"UpdateSummarySettings":{"type":"object","additionalProperties":false,"properties":{"default":{"type":"boolean"},"name":{"type":"string","minimum":1,"maximum":255},"description":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/CreateSummaryField"}},"useLocalValues":{"type":"boolean"},"allowedEntities":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/SenderProfileAllowedEntity"}}}},"CreateSummaryField":{"type":"object","additionalProperties":false,"required":["name","type"],"properties":{"id":{"type":"string","description":"Should be specified if this field is being updated instead of created. When id is\nspecified, type cannot be changed. By specifying the id, fields that are updated\nwill continue to match the same attributes when searching.\n"},"name":{"type":"string","minimum":1,"maximum":255},"description":{"type":"string"},"type":{"type":"string","enum":["single","multiple","numeric","text","boolean","date"]},"valueIds":{"type":"array","deprecated":true,"description":"Use values field instead. valueIds is the previous behaviour where values\nneeded to be created upfront in another endpoint.\n","items":{"type":"string"}},"values":{"type":"array","items":{"type":"object","additionalProperties":true,"properties":{"id":{"type":"string","description":"If specified, it will update this value. If not, it will create a new value and generate an id for it.\n"},"value":{"type":"string","minimum":1,"maximum":70},"icon":{"type":"string"}}}},"items":{"type":"string"},"settings":{"type":"object","additionalProperties":true}}},"SenderProfileAllowedEntity":{"type":"object","additionalProperties":false,"required":["entityType","entityId"],"properties":{"entityType":{"type":"string","enum":["team","agent"]},"operation":{"type":"string","enum":["view","edit"]},"entityId":{"type":"string","maxLength":60}}},"SummarySettings":{"type":"object","additionalProperties":false,"required":["id","name","description","fields","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"default":{"type":"boolean"},"name":{"type":"string","maximum":255},"description":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/SummaryField"}},"useLocalValues":{"type":"boolean"},"allowedEntities":{"type":"array","items":{"$ref":"#/components/schemas/SenderProfileAllowedEntity"}},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"SummaryField":{"type":"object","additionalProperties":false,"required":["id","name","type"],"properties":{"id":{"type":"string"},"name":{"type":"string","minimum":1,"maximum":255},"description":{"type":"string"},"type":{"type":"string","enum":["single","multiple","numeric","text","boolean","date"]},"values":{"type":"array","items":{"$ref":"#/components/schemas/SummaryValue"}},"settings":{"type":"object","additionalProperties":true}}},"SummaryValue":{"type":"object","additionalProperties":false,"required":["id","value","icon","createdAt"],"properties":{"id":{"type":"string"},"value":{"type":"string","minimum":1,"maximum":255},"icon":{"type":"string"},"createdAt":{"type":"string","format":"date-time"}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/dynamic-fields-summary-settings/{summarySettingsId}":{"patch":{"description":"Updates a summary settings for dynamic fields","operationId":"updateDynamicFieldsSummarySettings","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSummarySettings"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SummarySettings"}}},"description":"updated"},"404":{"$ref":"#/components/responses/error.response.not_found"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Update summary settings for dynamic fields","tags":["summary"]}}}}
```

## Delete summary value for dynamic fields.

> Deletes the specific summary value for dynamic fields

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}},"schemas":{"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}}},"paths":{"/workspaces/{workspaceId}/dynamic-fields-summary-values/{summaryValueId}":{"delete":{"description":"Deletes the specific summary value for dynamic fields","operationId":"deleteDynamicFieldsSummaryValue","responses":{"204":{"description":"Deleted"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Delete summary value for dynamic fields.","tags":["summary"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/collaborations-api/api-reference/ticket-fields.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
